export var name = "d3-drag";
export var version = "0.1.0";
export var description = "Drag and drop SVG, HTML or Canvas using mouse or touch input.";
export var keywords = ["d3","drag","behavior","interaction"];
export var homepage = "https://github.com/d3/d3-drag";
export var license = "BSD-3-Clause";
export var author = {"name":"Mike Bostock","url":"http://bost.ocks.org/mike"};
export var main = "build/d3-drag.js";
export var repository = {"type":"git","url":"https://github.com/d3/d3-drag.git"};
export var scripts = {"pretest":"rm -rf build && mkdir build && json2module package.json > build/package.js && rollup -g d3-dispatch:d3_dispatch,d3-selection:d3_selection -f umd -n d3_drag -o build/d3-drag.js -- index.js","test":"tape 'test/**/*-test.js' && eslint index.js src","prepublish":"npm run test && uglifyjs build/d3-drag.js -c -m -o build/d3-drag.min.js","postpublish":"VERSION=`node -e 'console.log(require(\"./package.json\").version)'`; git push && git push --tags && cp build/d3-drag.js ../d3.github.com/d3-drag.v0.1.js && cp build/d3-drag.min.js ../d3.github.com/d3-drag.v0.1.min.js && cd ../d3.github.com && git add d3-drag.v0.1.js d3-drag.v0.1.min.js && git commit -m \"d3-drag ${VERSION}\" && git push && cd - && zip -j build/d3-drag.zip -- LICENSE README.md build/d3-drag.js build/d3-drag.min.js"};
export var dependencies = {"d3-dispatch":"~0.4.3","d3-selection":"~0.7.2"};
export var devDependencies = {"json2module":"0.0","rollup":"0.26","tape":"4","uglify-js":"2"};
